# We use the 96boards fork of uim as upstream is very stale, doesn't support a number 
# of new udev/kernel features and has been widely patched. This fork just works.

# Tarfile created using git
# git clone https://github.com/96boards/uim
# git archive --format=tar --prefix=%{name}-%{version}-%{gitrev}/ %{gitrev} | bzip2 > ~/%{name}-%{version}-%{gitrev}.tar.bz2
%define gitrev a0236bc

Name:          ti-uim
Version:       0
Release:       0.4.%{gitrev}%{?dist}
Summary:       Texas Instruments User Mode Init manager

Group:         System Environment/Base
License:       GPLv2
URL:           http://omappedia.org/wiki/Device_Driver_Interface_of_WiLink_Solution
Source0:       %{name}-%{version}-%{gitrev}.tar.bz2

BuildRequires: systemd
Requires: kmod

%description
Texas Instruments User Mode Init manager is used to initialise the TI shared
transport on associated WiFi/BT/FM/GPS multi function radio chipsets.

%prep
%setup -q -n %{name}-%{version}-%{gitrev}

%build
make %{?_smp_mflags} V=1 all

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
mkdir -p %{buildroot}/%{_unitdir}/
install -p -D -m 0644 systemd/system/ti-uim.service %{buildroot}/%{_unitdir}/
mkdir -p %{buildroot}/usr/lib/udev/rules.d/
install -p -D -m 0644 udev/rules.d/60-ti-uim.rules %{buildroot}/usr/lib/udev/rules.d/
install -p -D -m 0644 modprobe.d/blacklist-btwilink.conf $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/blacklist-btwilink.conf

%post
%systemd_post ti-uim.service

%preun
%systemd_preun ti-uim.service

%postun
%systemd_postun_with_restart ti-uim.service

%files
%{_sbindir}/uim
%{_unitdir}/ti-uim.service
%{_sysconfdir}/modprobe.d/blacklist-btwilink.conf
/usr/lib/udev/rules.d/60-ti-uim.rules

%changelog
* Tue May 31 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0-0.4.a0236bc
- Latest git snapshot

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.c21061f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.c21061f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 16 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0-0.1
- Initial package
